Sets
prodotto /burro, ricotta, mozzarella/;

Scalars
totLatte "Kg" /450/
costoLatte /.50/
oreMacchina /45/;

Parameters
r(prodotto) "ricavo" /burro 3, ricotta 5, mozzarella 8/
dom(prodotto) "domanda" /burro 230, ricotta 150, mozzarella 140/
quota(prodotto) "kg prodotto in un ora" /burro 15, ricotta 6, mozzarella 11/
quotaLatte(prodotto) /burro 5, ricotta 2, mozzarella 4/;

Positive variables x(prodotto), y "kg latte";
Variable z;

y.up = totLatte;
x.up(prodotto) = dom(prodotto);

Equations
guadagno "funzione obiettivo"
dispMacchina
usoLatte;

guadagno.. z=e= sum(prodotto, r(prodotto)*x(prodotto)) - costoLatte*y;
dispMacchina.. sum(prodotto, x(prodotto) / quota(prodotto)) =l= oreMacchina;
usoLatte.. y =e= sum(prodotto, quotaLatte(prodotto)*x(prodotto));

Model caseificio /all/;
Solve caseificio using lp maximizing z;
Display z.l, x.l;
