Sets
	i anni /2005, 2006/
	j investimenti /A, B, C, D, E/;

Parameters
	g(j) guadagno netto investimento j
	/ A 13
	  B 16
	  C 16
	  D 14
	  E 39 /
	
	b(i) disponibilita' anno i
	/ 2005 40
	  2006 20 /;

Table q(i, j) quota investimento j nell'anno i
	        A	B	C	D	E
	2005	11	53	5	5	29
	2006	3	6	5	1	34 ;

Variables
	x(j) percentuale investimento j
	z	funzione obiettivo;
	
Positive variable x;
x.up(j) = 1;

Equations
	guadagno	funzione obiettivo
	disp(i)		disponibilita';

guadagno.. z =e= sum(j, g(j)*x(j));

disp(i).. sum(j, q(i,j)* x(j)) =l= b(i);

Model portfolio /all/;

solve portfolio using lp maximizing z;

display x.l, z.l;
