$title raffineria

Sets
oil "tipo greggio" /A,B/
impianti /1,2,3/
prodotti /benzina,nafta/;

Parameters
disp(oil) /A 10000000, B 6000000/
profitto(prodotti) /benzina 2, nafta 1/

Table input(impianti,oil)
      A    B
1     3    5
2     1    1
3     5    3;

Table output(impianti,prodotti)
      benzina nafta
1     4       3
2     1       1
3     3       4;

Positive variable x(impianti) "livello produzione impianto";
Variable z;

Equations
guadagno
maxOil(oil) "limite disponibilita' greggio";

guadagno..z =e= sum(impianti, x(impianti)*sum(prodotti, output(impianti,prodotti)*profitto(prodotti)));
maxOil(oil)..sum(impianti, x(impianti)*input(impianti,oil)) =l= disp(oil);

Model raffineria /all/;
Solve raffineria using lp maximizing z;
Display x.l;